.modal-overlay {
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  background-color: $modal-overlay-bg-color;
  z-index: 9999;
  @extend %flexbox;
  @include align-items(center);
  @include justify-content(center);
}

.modal-content {
  outline: none;
  background: $modal-content-bg-color;
  &.full-modal {
    width: 100%;
    height: 100%;
    &.agenda {
      background-color: #fff;
      .modal-title {
        position: relative;
        box-shadow: 0 1px 3px rgba(0,0,0,.1);
      }
      form {
        background-color: #fff;
        padding: 0;
      }
    }
  }
  &.small-modal {
    width: 90%;
    height: 90%;
   @include media-breakpoint-up(sm) {
      width: $small-modal-width;
      height: $small-modal-height;
    }
  }
  &.medium-modal {
    width: 90%;
    height: 90%;
   @include media-breakpoint-up(sm) {
      width: $medium-modal-width;
      height: $medium-modal-height;
    }
  }
  &.big-modal {
    width: 85%;
    height: 85%;
  }
  &.confirm-modal {
    @extend %flexbox;
    @include align-items(center);
    width: $confirm-modal-width;
    height: $confirm-modal-height;
    padding: $confirm-modal-padding;
    .btn-group {
      margin-top: 20px;
    }
  }
  form, .modal-body {
    background-color: $modal-content-form-bg-color;
    padding: $modal-content-form-padding;
  }
}

.modal-title {
  font-size: $modal-mobile-content-title-size;
  background-color: $modal-content-title-bg-color;
  padding: $modal-content-title-padding;
  @extend %flexbox;
  @include align-items(center);
  @include justify-content(space-between);
  @include media-breakpoint-up(sm) {
    font-size: $modal-content-title-size;
  }
  .btn-close-modal {
    i { font-size: $modal-btn-close-modal-icon-size; }
  }

}
